#!/bin/sh

docker exec ceph_mon ceph config generate-minimal-conf > /ceph/ceph.conf

for conf in $(find /ceph -name ceph.conf); do
    cp -a /ceph/ceph.conf "$conf"
done

# this prevents log spam due to a missing feature when using fuse from within docker
# https://tracker.ceph.com/issues/23446#note-2
ceph_client_conf='/ceph/client/etc/ceph/ceph.conf'
if [ -e "$ceph_client_conf" ]; then
    echo '\tfuse_set_user_groups = false' >> "$ceph_client_conf"
fi

rm /ceph/ceph.conf
